Loading...
Searching...
No Matches
Dune::CommPolicy< V >::CopyGatherScatter< T > Struct Template Reference

GatherScatter default implementation that just copies data. More...

`#include <dune/common/parallel/communicator.hh>`

## Public Types

typedef CommPolicy< T >::IndexedType | IndexedType

## Static Public Member Functions

static const IndexedType & | gather (const T &vec, std::size_t i)
static void | scatter (T &vec, const IndexedType &v, std::size_t i)

## Detailed Description

template<class V>
template<class T>
struct Dune::CommPolicy< V >::CopyGatherScatter< T >

GatherScatter default implementation that just copies data.

## Member Typedef Documentation

## IndexedType

template<class V>
template<class T>

typedef CommPolicy<T>::IndexedType Dune::CommPolicy< V >::CopyGatherScatter< T >::IndexedType

## Member Function Documentation

## gather()

template<class V>
template<class T>

const IndexedType & Dune::CommPolicy< V >::CopyGatherScatter< T >::gather | ( | const T & | vec,
|  | std::size_t | i )

static

## scatter()

template<class V>
template<class T>

void Dune::CommPolicy< V >::CopyGatherScatter< T >::scatter | ( | T & | vec,
|  | const IndexedType & | v,
|  | std::size_t | i )

static

The documentation for this struct was generated from the following file:

- communicator.hh